47 lines
2.2 KiB
Diff
47 lines
2.2 KiB
Diff
From acbf558c486ee3518aca74045504f05872da4a58 Mon Sep 17 00:00:00 2001
|
|
From: Lumir Balhar <lbalhar@redhat.com>
|
|
Date: Tue, 26 Sep 2023 13:14:44 +0200
|
|
Subject: [PATCH] brp-python-bytecompile compatibility with newer pythons
|
|
|
|
---
|
|
scripts/brp-python-bytecompile | 8 ++++----
|
|
1 file changed, 4 insertions(+), 4 deletions(-)
|
|
|
|
diff --git a/scripts/brp-python-bytecompile b/scripts/brp-python-bytecompile
|
|
index 4a9b49e..472bf10 100644
|
|
--- a/scripts/brp-python-bytecompile
|
|
+++ b/scripts/brp-python-bytecompile
|
|
@@ -58,7 +58,7 @@ EOF
|
|
# and below /usr/lib/python3.1/, we're targeting /usr/bin/python3.1
|
|
|
|
shopt -s nullglob
|
|
-for python_libdir in `find "$RPM_BUILD_ROOT" -type d|grep -E "/usr/lib(64)?/python[0-9]\.[0-9]$"`;
|
|
+for python_libdir in `find "$RPM_BUILD_ROOT" -type d|grep -E "/usr/lib(64)?/python[0-9]\.[0-9]+$"`;
|
|
do
|
|
python_binary=/usr/bin/$(basename $python_libdir)
|
|
if [ "$python_binary" = "/usr/bin/python3.6" ]; then
|
|
@@ -97,17 +97,17 @@ fi
|
|
|
|
# Figure out if there are files to be bytecompiled with the default_python at all
|
|
# this prevents unnecessary default_python invocation
|
|
-find "$RPM_BUILD_ROOT" -type f -name "*.py" | grep -Ev "/bin/|/sbin/|/usr/lib(64)?/python[0-9]\.[0-9]|/usr/share/doc" || exit 0
|
|
+find "$RPM_BUILD_ROOT" -type f -name "*.py" | grep -Ev "/bin/|/sbin/|/usr/lib(64)?/python[0-9]\.[0-9]+|/usr/share/doc" || exit 0
|
|
|
|
# Generate normal (.pyc) byte-compiled files.
|
|
-python_bytecompile "" $default_python "/bin/|/sbin/|/usr/lib(64)?/python[0-9]\.[0-9]|/usr/share/doc" "$RPM_BUILD_ROOT" "$depth" "/"
|
|
+python_bytecompile "" $default_python "/bin/|/sbin/|/usr/lib(64)?/python[0-9]\.[0-9]+|/usr/share/doc" "$RPM_BUILD_ROOT" "$depth" "/"
|
|
if [ $? -ne 0 -a 0$errors_terminate -ne 0 ]; then
|
|
# One or more of the files had a syntax error
|
|
exit 1
|
|
fi
|
|
|
|
# Generate optimized (.pyo) byte-compiled files.
|
|
-python_bytecompile "-O" $default_python "/bin/|/sbin/|/usr/lib(64)?/python[0-9]\.[0-9]|/usr/share/doc" "$RPM_BUILD_ROOT" "$depth" "/"
|
|
+python_bytecompile "-O" $default_python "/bin/|/sbin/|/usr/lib(64)?/python[0-9]\.[0-9]+|/usr/share/doc" "$RPM_BUILD_ROOT" "$depth" "/"
|
|
if [ $? -ne 0 -a 0$errors_terminate -ne 0 ]; then
|
|
# One or more of the files had a syntax error
|
|
exit 1
|
|
--
|
|
2.41.0
|
|
|